Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleDataSource

All Superinterfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

All Known Implementing Classes:
  AbleAbstractImport

public interface AbleDataSource
extends AbleBean

The AbleDataSource interface provides common information about data sources, the records they provide, and the fields those records contain. Typically a given container has only one active AbleDataSource.

Method Summary
`java.util.Vector` | `getFieldList()` Returns a list of `AbleField` objects defining each field in the data source.
`int` | `getNumberOfOutputFields()` Returns the number of fields in each record in the data source.
`long` | `getNumEpochs()` Returns the number of complete passes over the data, the number of times each record in the data source has been read.
`long` | `getNumRecords()` Returns the number of records in the data source.
`long` | `getStepsPerCycle()` Returns the number of records or steps to process in a cycle.
`boolean` | `isAllNumericData()` Indicates true if all fields in the data source are `AbleContinuousField` or `AbleDiscreteField` objects; false otherwise.
`boolean` | `isReady()` Indicates if the data source is ready to provide data.
`void` | `setFieldList(java.util.Vector fieldList)` Sets the field definitions for this datasource.

Methods inherited from interface com.ibm.able.AbleBean
`getComment, getLogger, getName, getParent, getProperties, getProperty, getState, getTraceLogger, init, init, isChanged, process, process, quitAll, removeAllConnections, removeProperty, reset, resumeAll, setChanged, setComment, setLogger, setName, setParent, setProperties, setProperty, setState, setTraceLogger, suspendAll`

Methods inherited from interface com.ibm.able.AbleDataBufferManager
`addDestBufferConnection, addSourceBufferConnection, getDestBufferConnections, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getSourceBufferConnections, hasInputBuffer, hasOutputBuffer, isConnectable, isDataFlowEnabled, processBufferConnections, removeAllBufferConnections, removeDestBufferConnection, removeSourceBufferConnection, setDataFlowEnabled, setInputBuffer, setInputBuffer, setOutputBuffer, setOutputBuffer`

Methods inherited from interface com.ibm.able.AbleEventListener
`handleAbleEvent`

Methods inherited from interface com.ibm.able.AbleEventListenerManager
`addAbleEventListener, dataChanged, getAbleEventListeners, notifyAbleEventListeners, removeAbleEventListener`

Methods inherited from interface com.ibm.able.AbleEventQueueManager
`flushAbleEventQueue, getAbleEventProcessingEnabled, getAbleEventQueueSize, getSleepTime, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isTimerEventProcessingEnabled, quitEnabledEventProcessing, restartEnabledEventProcessing, resumeEnabledEventProcessing, setAbleEventProcessingEnabled, setSleepTime, setTimerEventProcessingEnabled, startEnabledEventProcessing, suspendEnabledEventProcessing`

Methods inherited from interface com.ibm.able.AbleEventQueueProcessor
`processAbleEvent, processNoEventProcessingEnabledSituation, processTimerEvent`

Methods inherited from interface com.ibm.able.AblePropertyChangeManager
`addPropertyChangeListener, addPropertyConnection, getPropertyChangeListeners, getPropertyConnectionManager, removeAllPropertyConnections, removePropertyChangeListener, removePropertyConnection`

Methods inherited from interface com.ibm.able.AbleSerializable
`getFileName, restoreFromFile, restoreFromFile, saveToFile, saveToFile, setFileName`

Method Detail

### getNumRecords

    public long getNumRecords()

  Returns the number of records in the data source.

### getNumberOfOutputFields

    public int getNumberOfOutputFields()

  Returns the number of fields in each record in the data source.

### getNumEpochs

    public long getNumEpochs()

  Returns the number of complete passes over the data, the number of times each record in the data source has been read.

### getFieldList

    public java.util.Vector getFieldList()

  Returns a list of `AbleField` objects defining each field in the data source.

### setFieldList

    public void setFieldList(java.util.Vector fieldList)

  Sets the field definitions for this datasource.

  Parameters:
    `fieldList` - The list of `AbleField` objects defining each field in the data source.

### isAllNumericData

    public boolean isAllNumericData()

  Indicates true if all fields in the data source are `AbleContinuousField` or `AbleDiscreteField` objects; false otherwise.

### isReady

    public boolean isReady()
                    throws AbleException

  Indicates if the data source is ready to provide data.

  Throws:
    `AbleException`

### getStepsPerCycle

    public long getStepsPerCycle()

  Returns the number of records or steps to process in a cycle. Data sources may implement algorithms to cache data and choose to make the cycle size equal to cache size, equal to the number of records in the data source, or some percentage of the number of records in the data source.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005